Bug 589840 - [abrt] crash in thunderbird-3.0.4-1.fc12: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV) @ NS_MsgHashIfNecessary
[abrt] crash in thunderbird-3.0.4-1.fc12: Process /usr/lib64/thunderbird-3.0/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
abrt_hash:b5b474503396d14b91dc9516c3e...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 00:37 EDT by Andrew Jamison
Modified: 2010-12-03 09:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:59:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (245.73 KB, text/plain)
2010-05-07 00:37 EDT, Andrew Jamison
no flags Details

  None (edit)
Description Andrew Jamison 2010-05-07 00:37:09 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/thunderbird-3.0/thunderbird-bin -P
comment: I merely tried to open THunderbird to check my email 
component: thunderbird
executable: /usr/lib64/thunderbird-3.0/thunderbird-bin
global_uuid: b5b474503396d14b91dc9516c3e42beb1ec3c5fa
kernel: 2.6.32.11-99.fc12.x86_64
package: thunderbird-3.0.4-1.fc12
rating: 4
reason: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Open thunderbird after having created several accounts
2.
3.
Comment 1 Andrew Jamison 2010-05-07 00:37:13 EDT
Created attachment 412222 [details]
File: backtrace
Comment 2 Stan King 2010-05-10 17:59:43 EDT
Package: thunderbird-3.0.4-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Manually added an AOL IMAP e-mail account, using same settings as I had used on FC11 32-bit.
2. Attempted to check e-mail.  The crash was immediately after supplying the password.
3.
Comment 3 Oliver 2010-05-15 10:40:15 EDT
Package: thunderbird-3.0.4-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. start thunderbird and it will be crushed in a few seconds while downloading a message 




Comment
-----
I have not used any additional plugins, also there are a few email accounts in my thunderbird and they were working properly before upgrading to the latest version. Have tried to downgrade my thunderbird. Unfortunately it did not help.
Comment 4 Chris Campbell 2010-06-03 11:46:06 EDT
#2  <signal handler called>
No symbol table info available.
#3  NS_MsgHashIfNecessary (name=...)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/base/util/nsMsgUtils.cpp:466
        lastIndex = -1
        illegalCharacterIndex = <value optimized out>
        hashedname = "8\207C\272\067\000\000\000\360"
        keptLength = <value optimized out>
#4  0x00007f8da9714be9 in nsMsgDBFolder::CreateFileForDB (
    this=<value optimized out>, userLeafName=<value optimized out>, path=
    0x7f8d8f1d4380, dbFile=0x7fff51b0ce20)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/base/util/nsMsgDBFolder.cpp:908
        proposedDBName = {<nsFixedString> = {<nsString> = 
    {<nsAString_internal> = {mData = 0x7fff51b0ca10, mLength = 0, mFlags = 
    65553}, <No data fields>}, mFixedCapacity = 63, mFixedBuf = 
    0x7fff51b0ca10}, mStorage = {0, 0, 0, 0, 10553, 47688, 55, 0, 33744, 
    48017, 32653, 0, 0, 0, 32767, 0, 0, 0, 0, 0, 10553, 47688, 55, 0, 9632, 
    40787, 32653, 0, 52288, 20912, 32767, 0, 0, 0, 0, 0, 52656, 20912, 32767, 
    0, 51896, 20912, 32767, 0, 65535, 65535, 0, 0, 54575, 20912, 32767, 0, 
    54336, 20912, 32767, 0, 0, 0, 0, 0, 41122, 47683, 55, 0}}
        rv = 32653
        dbPath = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fff51b0ce40}, <No data fields>}
        exists = -1451990166
#5  0x00007f8da98542c0 in nsImapMailFolder::CreateClientSubfolderInfo (this=
    0x7f8da5b98000, folderName=..., hierarchyDelimiter=47 '/', 
    flags=<value optimized out>, suppressNotification=0)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/imap/src/nsImapMailFolder.cpp:986
        rv = 0
        leafName = {<nsAutoString> = {<nsFixedString> = {<nsString> = 
    {<nsAString_internal> = {mData = 0x7fff51b0cd00, mLength = 0, mFlags = 
    65553}, <No data fields>}, mFixedCapacity = 63, mFixedBuf = 
    0x7fff51b0cd00}, mStorage = {0, 40787, 32653, 0, 24, 0, 0, 0, 54272, 
    40787, 32653, 0, 0, 0, 0, 0, 52864, 20912, 32767, 0, 27165, 64, 0, 0, 
    10040, 42400, 32653, 0, 24, 0, 0, 0, 13, 0, 0, 0, 35085, 47307, 55, 0, 
    52696, 20912, 32767, 0, 54496, 40787, 32653, 0, 16387, 32768, 0, 0, 
    35045, 47683, 55, 0, 52864, 20912, 32767, 0, 23059, 64, 0, 
    0}}, <No data fields>}
        mailDBFactory = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        child = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        folderNameStr = {<nsFixedString> = {<nsString> = 
    {<nsAString_internal> = {mData = 0x7fff51b0cc60, mLength = 0, mFlags = 
    65553}, <No data fields>}, mFixedCapacity = 63, mFixedBuf = 
    0x7fff51b0cc60}, mStorage = {0, 0, 0, 16368, 0, 0, 24576, 16497, 0, 0, 
    20480, 16502, 0, 0, 0, 16435, 0, 0, 0, 0, 10357, 46017, 55, 0, 52544, 
    20912, 32767, 0, 18728, 36533, 32653, 0, 17632, 47723, 55, 0, 14160, 
    45625, 32653, 0 <repeats 17 times>, 33110, 44344, 32653, 0, 53132, 20912, 
    32767, 0}}
        folderStart = -1
        path = {<nsCOMPtr_base> = {mRawPtr = 
    0x7f8d8f1d4380}, <No data fields>}
        parentName = {<nsFixedString> = {<nsString> = {<nsAString_internal> = 
    {mData = 0x7fff51b0cbc0, mLength = 0, mFlags = 65553}, <No data fields>}, 
            mFixedCapacity = 63, mFixedBuf = 0x7fff51b0cbc0}, mStorage = {0, 
    36543, 32653, 0, 905, 45140, 32653, 0, 48192, 36543, 32653, 0, 1, 0, 0, 
    0, 54000, 20912, 32767, 0, 56830, 45622, 32653, 0, 672, 36502, 32653, 0, 
    7178, 45140, 32653, 0, 6, 0, 130, 0, 1, 0, 26, 0, 0, 0, 1, 
    0 <repeats 17 times>, 27904, 41124, 32653, 0}}
        msgDBService = {<nsCOMPtr_base> = {mRawPtr = 
    0x7f8d9f5325a0}, <No data fields>}
        unusedDB = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        dbFile = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Chris Campbell 2010-06-03 11:46:34 EDT
Setting keyword.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2010-11-03 11:26:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 09:59:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.